Installer libapache2-mod-fastcgi sous débian

Résolu/Fermé
sob_12 Messages postés 306 Date d'inscription jeudi 24 mai 2007 Statut Membre Dernière intervention 7 février 2012 - 22 mars 2009 à 20:37
 deel - 25 juil. 2010 à 02:37
Bonjour,
je cherche depuis 1h comment installer le paquet libapache2-mod-fastcgi ( https://packages.debian.org/lenny/libapache2-mod-fastcgi

sur mon serveur debian lenny j'en ai besoin pour installer ispCP Omega (panel pour serveur web)

merci d'avance
A voir également:

16 réponses

Ritchi09 Messages postés 642 Date d'inscription samedi 28 juillet 2007 Statut Membre Dernière intervention 19 novembre 2010 41
22 mars 2009 à 20:43
Est la commande classique

apt-get install libapache-mod-fastcgi

sa marche pas (peut être car vu que ces pas libre, il te faut ajouter les miroirs non-free).
sob_12 Messages postés 306 Date d'inscription jeudi 24 mai 2007 Statut Membre Dernière intervention 7 février 2012 15
22 mars 2009 à 21:12
oui je sais mais je ne connait pas le miroir

j'ai quand même tester la commande

sinon ou trouver l'adresse du miroir ??
Ritchi09 Messages postés 642 Date d'inscription samedi 28 juillet 2007 Statut Membre Dernière intervention 19 novembre 2010 41
22 mars 2009 à 21:20
C'est simple dans le tableau que tu as sur la page du lien que tu as marquer, il te faut choisir la bonne architecture.

Si c'est un du 32 bits classique (i386), tu clique sur i386 et tu as une pages avec le fichier à télécharger et mieux une application comment ajouter le débot comme sa tu pourra le mettre a jours très facilement.

va voir ici : https://packages.debian.org/lenny/i386/libapache2-mod-fastcgi/download

Page de téléchargement de libapache2-mod-fastcgi_2.4.6-1_i386.deb pour l'architecture Intel x86

Si vous utilisez Debian, il est fortement recommandé d'utiliser un gestionnaire de paquets comme aptitude ou synaptic pour télécharger et installer des paquets, au lieu de le faire vous-même à travers ce site web.

Vous devriez pouvoir utiliser n'importe lequel des miroirs listés en ajoutant une ligne à votre /etc/apt/sources.list comme ceci :

deb http://ftp.de.debian.org/debian/ lenny main non-free

En remplaçant ftp.de.debian.org/debian par le miroir en question.

Vous pouvez télécharger le fichier demandé depuis le sous-répertoire pool/non-free/liba/libapache-mod-fastcgi/ de n'importe lequel de ces sites :
Ritchi09 Messages postés 642 Date d'inscription samedi 28 juillet 2007 Statut Membre Dernière intervention 19 novembre 2010 41
22 mars 2009 à 21:21
Amérique du nord

* http.us.debian.org/debian
* ftp.egr.msu.edu/debian
* mirrors.kernel.org/debian
* debian.lcs.mit.edu/debian
* debian.oregonstate.edu/debian

Amérique du sud

* ftp.br.debian.org/debian
* ftp.cl.debian.org/debian

Asie

* ftp.jp.debian.org/debian
* ftp2.jp.debian.org/debian
* ftp.kr.debian.org/debian
* ftp.tw.debian.org/debian
* debian.linux.org.tw/debian
* linux.cdpa.nsysu.edu.tw/debian

Europe

* ftp.de.debian.org/debian
* ftp.at.debian.org/debian
* ftp.ch.debian.org/debian
* ftp.cz.debian.org/debian
* ftp.dk.debian.org/debian
* ftp.ee.debian.org/debian
* ftp.es.debian.org/debian
* ftp.fi.debian.org/debian
* ftp.fr.debian.org/debian
* ftp.hr.debian.org/debian
* ftp.hu.debian.org/debian
* ftp.ie.debian.org/debian
* ftp.is.debian.org/debian
* ftp.it.debian.org/debian
* ftp.nl.debian.org/debian
* ftp.no.debian.org/debian
* ftp.pl.debian.org/debian
* ftp.se.debian.org/debian
* ftp.tr.debian.org/debian
* ftp.uk.debian.org/debian

Australie et Nouvelle-Zélande

* ftp.au.debian.org/debian
* ftp.wa.au.debian.org/debian
* ftp.nz.debian.org/debian

Si aucun des miroirs ci-dessous n'est assez rapide pour vous, veuillez consulter notre liste complète des miroirs.

Notez que certains navigateurs vous demandent de préciser que vous désirez enregistrer le fichier. Par exemple, dans Firefox ou Mozilla, vous devez appuyer sur la touche Majuscule au moment où vous cliquez sur le lien.
Plus d'informations sur libapache2-mod-fastcgi_2.4.6-1_i386.deb :
Taille exacte 66232 octet (64,7 kByte)
Somme MD5 b4a9215c2ed30401fb913c493281780b
Somme SHA1 25f4faf95b7999dce8e5143eb43cf5073cdb61d4
Somme SHA256 e01b199b778a4b9148ae4c16ed9eeafb7b0f8a655ec1b8f4a69e6c9924a84984

Vous n’avez pas trouvé la réponse que vous recherchez ?

Posez votre question
Ritchi09 Messages postés 642 Date d'inscription samedi 28 juillet 2007 Statut Membre Dernière intervention 19 novembre 2010 41
22 mars 2009 à 21:21
Voilà avec sa tu devrais y arriver.
sob_12 Messages postés 306 Date d'inscription jeudi 24 mai 2007 Statut Membre Dernière intervention 7 février 2012 15
22 mars 2009 à 21:26
ok donc j'ai pris amd64 cars j'ai un processeur amd et le liens (http://ftp.de.debian.org/debian/ est le même donc j'ajoute ce lien dans le fichier source et j'utilise la commande
apt-get install libapache2 ou fastcgi

et sa l'installe

ok donc je teste
sob_12 Messages postés 306 Date d'inscription jeudi 24 mai 2007 Statut Membre Dernière intervention 7 février 2012 15
22 mars 2009 à 21:37
bon j'ai tester la commande

apt-get install libapache2-mod-fastcgi

et sa me donne :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Aucune version du paquet libapache2-mod-fastcgi n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source
E: Aucun paquet ne correspond au paquet libapache2-mod-fastcgi
Ritchi09 Messages postés 642 Date d'inscription samedi 28 juillet 2007 Statut Membre Dernière intervention 19 novembre 2010 41
22 mars 2009 à 21:38
Attention 64 AMD, veux dire que tu à la version 64 bis du système d'installer.

AMD (car les eu qui sont sortie le premier processeur 64 bis grand public), sa va aussi avec les Intel 64 bits, sa veux juste dire que ces pour la version 64 bits de débian.

Comme i386, veux dire tout les processeurs 32 bis (en X86 bien sur), qu'il soit d'AMD ou d'INTEL.
Ritchi09 Messages postés 642 Date d'inscription samedi 28 juillet 2007 Statut Membre Dernière intervention 19 novembre 2010 41
22 mars 2009 à 21:43
Fait le à la main sinon tu va ici chercher le paquet tu l'enregistre et tu l'installe.

http://ftp.fr.debian.org/debian/pool/non-free/liba/libapache-mod-fastcgi/libapache2-mod-fastcgi_2.4.6-1_i386.deb

Tu aura directement le paquet comme sa.
sob_12 Messages postés 306 Date d'inscription jeudi 24 mai 2007 Statut Membre Dernière intervention 7 février 2012 15
22 mars 2009 à 21:49
en gros je fait

wget http://ftp.fr.debian.org/debian/pool/non-free/liba/libapache-mod-fastcgi/libapache2-mod-fastcgi_2.4.6-1_amd64.deb

et ensuite ?
Ritchi09 Messages postés 642 Date d'inscription samedi 28 juillet 2007 Statut Membre Dernière intervention 19 novembre 2010 41
22 mars 2009 à 21:55
Oui tu fait ensuite en root

La commande dpkg -i filename.deb

tu fait man dpkg pour avoir les options exact (car moi des du rpm chez moi fédora oblige donc j'ai pas trop la commande en mémoire).
sob_12 Messages postés 306 Date d'inscription jeudi 24 mai 2007 Statut Membre Dernière intervention 7 février 2012 15
22 mars 2009 à 22:46
hum il me faut prendre quoi dans ces option ??

-b, --build,
-c, --contents,
-I, --info,
-f, --field,
-e, --control,
-x, --extract,
-X, --vextract, et
--fsys-tarfile.
Ritchi09 Messages postés 642 Date d'inscription samedi 28 juillet 2007 Statut Membre Dernière intervention 19 novembre 2010 41
22 mars 2009 à 23:02
dpkg -i paquet.deb

Après vérification.
sob_12 Messages postés 306 Date d'inscription jeudi 24 mai 2007 Statut Membre Dernière intervention 7 février 2012 15
22 mars 2009 à 23:03
c'est bon sa marche

au moins je me coucherai moins bête ce soir lol
merci beaucoup
Ritchi09 Messages postés 642 Date d'inscription samedi 28 juillet 2007 Statut Membre Dernière intervention 19 novembre 2010 41
22 mars 2009 à 23:05
De rien.

C'est comme sa qu'ont progresse, sur ce j'y go aussi car demain reboulot.
pour l'erreur lors du apt-get install libapache2-mod-fastcgi.

1/ comme dit plus haut il faut effectivement ajouter le non-free (et eventuellement le contrib, ca mange pas de pain)

et surtout faire un apt-get update juste apres.